Skip to main content

Generate campaign from template

POST 

/certification-campaigns/v1/campaign-templates/:id/generate

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Generates a new campaign from a campaign template. The campaign object contained in the template has special formatting applied to its name and description fields in order to determine the generated campaign's name/description. Placeholders in those fields are formatted with the current date and time upon generation. Placeholders consist of a percent sign followed by a letter indicating what should be inserted; for example, "%Y" will insert the current year; a campaign template named "Campaign for %y" would generate a campaign called "Campaign for 2020" (assuming the year at generation time is 2020). Valid placeholders are the date/time conversion suffix characters supported by java.util.Formatter. Required roles are ORG_ADMIN or CERT_ADMIN.

Request​

Responses​

Indicates a campaign was successfully generated from this template, and returns a reference to the new campaign.